import "highlight.js";
import type { Node as ProseMirrorNode } from "prosemirror-model";
import { Plugin } from "prosemirror-state";
import { Decoration } from "prosemirror-view";
export declare function highlightPlugin(hljs: HLJSApi, blockTypes?: string[], languageExtractor?: (node: ProseMirrorNode) => string): Plugin<any, any>;
/**
 * Gets all highlighting decorations from a ProseMirror document
 * @param doc The doc to search applicable blocks to highlight
 * @param hljs The pre-configured highlight.js instance to use for parsing
 * @param blockTypes The blocktypes that contain text to highlight
 * @param languageExtractor Function that takes a node and returns the language to use when highlighting
 */
export declare function getHighlightDecorations(doc: ProseMirrorNode, hljs: HLJSApi, blockTypes: string[], languageExtractor: (node: ProseMirrorNode) => string): Decoration<{
    [key: string]: any;
}>[];
